diff --git a/tests/PHPUnit/travis.sh b/tests/PHPUnit/travis.sh
index f1a43fb9a0cc9838141198b82cbf75e19dc02c32..2ba14958d5e442feb90ef396b418c51052aac56f 100755
--- a/tests/PHPUnit/travis.sh
+++ b/tests/PHPUnit/travis.sh
@@ -3,6 +3,17 @@
 # for travis_wait function
 source travis-helper.sh
 
+if [ "$TEST_SUITE" != "UITests" ] && [ "$TEST_SUITE" != "AngularJSTests" ]
+then
+    if [ `phpunit --group __nogroup__ | grep "No tests executed" | wc -l` -ne 1 ]
+    then
+        echo "=====> There are some tests functions which do not have a @group set. "
+        echo "       Please add the @group phpdoc comment to the following tests: <====="
+        phpunit --group __nogroup__ --testdox | grep "[x]"
+        exit 1
+    fi
+fi
+
 if [ -n "$TEST_SUITE" ]
 then
     if [ "$TEST_SUITE" = "AngularJSTests" ]